package com.bocloud.nms.model.veeam.job;

public class BackupJobAdvancedSettingsVSphereModel {

    private boolean enableVMWareToolsQuiescence;
    private VSphereChangedBlockTrackingSettingsModel changedBlockTracking;

    public boolean isEnableVMWareToolsQuiescence() {
        return enableVMWareToolsQuiescence;
    }

    public void setEnableVMWareToolsQuiescence(boolean enableVMWareToolsQuiescence) {
        this.enableVMWareToolsQuiescence = enableVMWareToolsQuiescence;
    }

    public VSphereChangedBlockTrackingSettingsModel getChangedBlockTracking() {
        return changedBlockTracking;
    }

    public void setChangedBlockTracking(VSphereChangedBlockTrackingSettingsModel changedBlockTracking) {
        this.changedBlockTracking = changedBlockTracking;
    }

    @Override public String toString() {
        return "BackupJobAdvancedSettingsVSphereModel{" + "enableVMWareToolsQuiescence=" + enableVMWareToolsQuiescence
            + ", changedBlockTracking=" + changedBlockTracking + '}';
    }
}
